Skip to main content

Find Similar Voices

POST 

https://api.knoxstudio.ai/v1/similar-voices

Upload a sample to find similar library voices. Not billed. similarity_threshold is 0–2; top_k is 1–100.

Request​

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.
Content-TypeStringYesmultipart/form-data

Request Body​

NameTypeRequiredDescription
audio_fileFileNoReference audio used for similarity search.
similarity_thresholdNumberNo0.0–2.0.
top_kIntegerNo1–100 results.

cURL Example​

curl -X POST https://api.knoxstudio.ai/v1/similar-voices \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-F "audio_file=@clip.wav" \
-F "top_k=10" \
-F "similarity_threshold=1.0"

Response​

Success Response (200)​

JSON list of similar voices and scores.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.